package Template;
require Exporter;
@ISA = qw(Exporter);

@EXPORT = qw($Template);            # symbols to export by default

$Template::Template = <<'end';
<html><!-- Compiled by QuizMaker 1.0 at ::LONDONTIME:: -->

<head>
<title>::TITLE::</title>
</head>

<body bgcolor=white>

<script language="JavaScript"><!--

function ScrollToAnchor(window, anchorname)
{
  with (window.document) {
    for (var Index = 0; Index < anchors.length; Index++) {
      if (anchors[Index].name == anchorname)
        window.scrollTo(anchors[Index].x, anchors[Index].y);
    }
  }
}

function AutoScroll(Anchor)
{
  if (document.Config.AutoScroll.checked)
    ScrollToAnchor(window, Anchor);
}

function Click(Element, Anchor)
{
  document.Quiz.elements[Element].click();
  AutoScroll(Anchor);
}

function AutoToggle()
{
  document.Config.AutoScroll.click();
}

Anchors     = [::ANCHORS::];
Explanation = ::EXPLANATION::;

function Score() {
  // Calculate the score
  var Result = 0;
  for (var Index = 0; Index < document.Quiz.elements.length; Index++)
    if (document.Quiz.elements[Index].type == 'radio' &&
        document.Quiz.elements[Index].checked)
      Result += Number( document.Quiz.elements[Index].value );

  // Calculate its anchor
  var Index;
  for (Index = 0; Index < Anchors.length; Index++) {
    if (Result == Number(Anchors[Index]) || Result < Number(Anchors[Index+1])) break;
  }
  var Anchor = Anchors[Index];

  // Highlight the right section
  var re = new RegExp('(valign=top><a name="' + Anchor + '">)', '');
  var thisExplanation = Explanation.replace(re, 'bgcolor=lightyellow $1' );

  // Build the score window
  var newWindow = window.open('', 'score_window', 'width=300,height=300,scrollbars=yes');
  with (newWindow.document) {
    open();
    write('<html><head><title>Your Score</title></head>',
          '<frameset rows="60,*" border=0>',
          '<frame name="Score"       src="about:blank" marginheight=4 marginwidth=4 scrolling="none" >',
          '<frame name="Explanation" src="about:blank" marginheight=4 marginwidth=4 scrolling="auto">',
          '</frameset></html>');
    close();
  }
  newWindow.focus();
  with (newWindow.Score.document) {
    open();
    write('<html><head></head><body bgcolor=lightblue>\n',
          '<center><h1>Your score is ', Result, '</h1></center>\n',
          '</body></html>');
    close();
  }
  with (newWindow.Explanation.document) {
    open();
    writeln('<html><head></head><body bgcolor=white>\n', thisExplanation, '</body></html>');
    close();
  }

  // Scroll it to the right explanation
  ScrollToAnchor(newWindow.Explanation, Anchor);
}

//--></script>

<form name="Config">

<table cellspacing=0 cellpadding=0 border=0 width=100%><tr>
<td valign=middle  align=left><h1>::TITLE::</h1>
<td valign=middle align=right><input type=checkbox checked name=AutoScroll><a
href="javascript:AutoToggle()">Autoscroll</a>
</table>

</form>

<form name="Quiz" action="javascript:null(0)">

::BODY::

<p>

<table cellspacing=6><tr>
<td><input type="button" value="Score" onclick="Score()">
<td width=64>&nbsp;
<td><input type=reset value="Reset">
<tr><td colspan=3 align=center bgcolor=lightyellow><small>Quiz built by
<a target=_top href=http://www.midnightbeach.com/jon/QuizMaker.html>QuizMaker 1.0</a></small>
</table>

</form>

</body>
</html>

end

