package BasicFileIO;
require Exporter;
@ISA = qw(Exporter);

@EXPORT = qw(&ReadFile &WriteFile);

use strict;
use diagnostics;

sub BasicFileIO::ReadFile ($) {
  my ($filename, $file) = @_;

  open(INFILE, $filename)          or die "\nCouldn't open $filename\n";
  read INFILE, $file, -s $filename or die "\nCouldn't read $filename\n";
#  {local $/; $file = <INFILE>}
  close(INFILE)                    or die "\nCouldn't close $filename\n";

  return $file;
}

sub BasicFileIO::WriteFile($$) {
  my ($filename, $file) = @_;

  open(OUTFILE, ">$filename") or die "\nCouldn't open $filename\n";
  print OUTFILE $file         or die "\nCouldn't write $filename\n";
  close(OUTFILE)              or die "\nCouldn't close $filename\n";
}

1;
